Ubuntu/Debian installation

From Gerris

Revision as of 02:53, 25 June 2012; view current revision
←Older revision | Newer revision→
Jump to: navigation, search

GTS and Gerris Debian packages are part of official Debian distributions (as well as their derivatives such as Ubuntu distributions in the 'universe' repository). Note that GfsView is not packaged by Debian yet. These 'official' packages are usually based on slightly older (~6 months) releases of Gerris.

For fresher releases, Debian packages are built automatically every day (whenever a new snapshot release is available) using the nice OpenSUSE build service system. The first time you install Gerris you need to:

  1. Get the key:
    wget http://gerris.dalembert.upmc.fr/debian/popinet_key.asc
    sudo apt-key add popinet_key.asc
    
  2. Depending on your distribution, append the following lines to /etc/apt/sources.list
    Debian 6.0 ('squeeze')
    deb http://download.opensuse.org/repositories/home:/popinet/Debian_6.0 ./
    Debian 5.0 ('lenny')
    deb http://download.opensuse.org/repositories/home:/popinet/Debian_5.0 ./
    Ubuntu 12.04 ('precise pangolin') and derivatives (Xubuntu, Kubuntu etc...)
    deb http://download.opensuse.org/repositories/home:/popinet/xUbuntu_12.04 ./
    Ubuntu 11.10 ('oneiric ocelot')
    deb http://download.opensuse.org/repositories/home:/popinet/xUbuntu_11.10 ./
    Ubuntu 11.04 ('natty narwhal')
    deb http://download.opensuse.org/repositories/home:/popinet/xUbuntu_11.04 ./
    Ubuntu 10.10 ('maverick meerkat')
    deb http://download.opensuse.org/repositories/home:/popinet/xUbuntu_10.10 ./
    Ubuntu 10.04 ('lucid lynx')
    deb http://download.opensuse.org/repositories/home:/popinet/xUbuntu_10.04 ./
  3. For Ubuntu distributions you will also need to enable the 'universe' repository of Ubuntu. Either uncomment the corresponding line in /etc/apt/sources.list or use the graphical interface (e.g. "System -> Administration -> Synaptic Package Manager" and/or "System -> Administration -> Software Sources").
  4. Update APT and install the packages:
    sudo apt-get update
    sudo apt-get install {gerris,gfsview}-snapshot
    

Your Gerris installation will subsequently be upgraded to the most recent version whenever you run

sudo apt-get dist-upgrade

i.e. whenever your system updates are performed (this will also be done automatically when using the "Update manager" in Ubuntu/Debian).

Bugs

Note that recent versions of Ubuntu default to the "Unity" interface. Unfortunately, there is a bug in one of the libraries implementing this interface which will cause GfsView to crash with a "floating point exception" (triggered in the buggy library). A workaround is to switch back to the default Gnome interface ("classic" style) which does not have this bug. On Ubuntu 12.04, the "classic" style is not available in the list of options by default anymore, it needs to be re-installed using

sudo apt-get install gnome-session-fallback 

See also this discussion for details.

Personal tools
communication